#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MANPAGES = spe.1

%.1: %.sgml
	docbook-to-man $< > $@

build: build-arch build-indep

build-arch: build-stamp
build-indep: build-stamp $(MANPAGES)
build-stamp:

clean:
	dh_testdir
	dh_testroot
	rm -rf build
	find . -name '*.py[co]' | xargs rm -f
	dh_clean spe.1

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	python setup.py install --root=debian/spe \
				--install-lib=usr/share/spe/ \
				--install-scripts=/usr/bin \
				--no-compile

	rm debian/spe/usr/share/spe/_spe/SPE_DEBUG.py

	chmod +x debian/spe/usr/share/spe/_spe/SPE.py

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installmenu
	dh_installdocs
	dh_installman spe.1
	dh_install
	dh_link
	dh_icons
	dh_compress -X.pdf -X.rtf -X.py
	dh_fixperms
	dh_python2
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch:
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
